## edu.cwru.SimpleRTS.agent
Class ScriptedGoalAgentTest

    java.lang.Object
      edu.cwru.SimpleRTS.agent.ScriptedGoalAgentTest

    public class ScriptedGoalAgentTest

extends java.lang.Object

Constructor Summary
`ScriptedGoalAgentTest()`

Method Summary
`static void` `loadTemplates()`
`void` `setUp()`
`void` `test()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScriptedGoalAgentTest

    public ScriptedGoalAgentTest()

Method Detail

### loadTemplates

    public static void loadTemplates()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setUp

    public void setUp()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### test

    public void test()
              throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`